Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.insurabilityv2.builders
Class RequestObjectBuilderFactory

    java.lang.Object
      be.ehealth.businessconnector.insurabilityv2.builders.RequestObjectBuilderFactory

    public final class RequestObjectBuilderFactory

extends Object

Factory for `RequestObjectBuilder`

Field Summary
`static String` | `DEFAULT_REQUESTBUILDER_CLASS` Class of the default implementation of requestBuilder
`static String` | `PROP_REQUESTBUILDER_CLASS` Class of the requestBuilder

Method Summary
`static RequestObjectBuilder` | `getRequestObjectBuilder()` Retrieve an instance of a `RequestObjectBuilder` implementation The implementation could be a custom class defined in the configuration file (property "insurability.requestobjectbuilder.class" ).

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_REQUESTBUILDER_CLASS

    public static final String PROP_REQUESTBUILDER_CLASS

  Class of the requestBuilder

  See Also:
    Constant Field Values

### DEFAULT_REQUESTBUILDER_CLASS

    public static final String DEFAULT_REQUESTBUILDER_CLASS

  Class of the default implementation of requestBuilder

  See Also:
    Constant Field Values

Method Detail

### getRequestObjectBuilder

    public static RequestObjectBuilder getRequestObjectBuilder()
                                                        throws TechnicalConnectorException

  Retrieve an instance of a `RequestObjectBuilder` implementation The implementation could be a custom class defined in the configuration file (property "insurability.requestobjectbuilder.class" ). By default, it would be "be.ehealth.businessconnector.insurabilityv2.builders.impl.RequestObjectBuilderImpl"

  Returns:
    `RequestObjectBuilder` the instance of the `RequestObjectBuilder`
  Throws:
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging generic 3.17.1 API
Copyright © {inceptionYear}-2019 eHealth. All Rights Reserved.